Bug 799717 - DFLT_XKB_CONFIG_ROOT doesn't point to the distribution's real default path
DFLT_XKB_CONFIG_ROOT doesn't point to the distribution's real default path
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libxkbcommon (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-04 10:35 EST by Ilyes Gouta
Modified: 2012-04-11 22:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: libxkbcommon-0.1.0-6.20120306.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A little patch resetting DFLT_XKB_CONFIG_ROOT to /usr/share/X11/xkb (678 bytes, patch)
2012-03-04 10:35 EST, Ilyes Gouta
no flags Details | Diff

  None (edit)
Description Ilyes Gouta 2012-03-04 10:35:43 EST
Created attachment 567401 [details]
A little patch resetting DFLT_XKB_CONFIG_ROOT to /usr/share/X11/xkb

Description of problem:

DFLT_XKB_CONFIG_ROOT is hard coded to /usr/lib/X11/xkb in libxkcommon's xkbpath.c whereas Fedora stores the keyboard configuration and maps in /usr/share/X11/xkb.

Version-Release number of selected component (if applicable):

Fedora 17

How reproducible:

Building Weston and running it. xkb_compile_keymap_from_rules() fails at run-time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ilyes Gouta 2012-03-04 12:13:00 EST
Better, use the configure-time --with-xkb-config-root= option for libxbcommon, set to /usr/share/X11/xkb.

-Ilyes
Comment 2 Fedora Update System 2012-03-06 02:03:32 EST
libxkbcommon-0.1.0-6.20120306.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libxkbcommon-0.1.0-6.20120306.fc17
Comment 3 Fedora Update System 2012-03-07 02:20:43 EST
Package libxkbcommon-0.1.0-6.20120306.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libxkbcommon-0.1.0-6.20120306.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3155/libxkbcommon-0.1.0-6.20120306.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-11 22:53:41 EDT
libxkbcommon-0.1.0-6.20120306.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.